%define pkg_name        Gnome2-VFS
%define pkg_version     1.080
%define rpm_pkg_version 1.080
%define rpm_pkg_release 1.n0i.14

Summary:       GNOME Virtual File System library bindings for perl
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       LGPLv2+
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TS/TSCH/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl >= 2:5.8.0
BuildRequires: gnome-vfs2-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Depends)   >= 0.20
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires: perl(Glib)                >= 1.120

Requires: perl(Glib) >= 1.120


%description
This module allows you to use the GNOME Virtual File System library
(libgnomevfs for short) from Perl.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
# it's an unstable release, what would you expect? ;-)
%{!?_without_test:%{__make} test || :}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog examples/ LICENSE NEWS README


%changelog
* Tue Sep 18 2007 Marius Feraru <altblue@n0i.net> - 1.080-1.n0i.14
- version 1.080

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.061-1.n0i.13
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.061

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 1.060-1.n0i.12
- version 1.060

* Tue Sep 20 2005 Marius Feraru <altblue@n0i.net> 1.041-1.n0i.11
- version 1.041

* Tue Sep 06 2005 Marius FERARU <altblue@n0i.net> 1.040-1.n0i.10
- version 1.040

* Thu Aug 25 2005 Marius FERARU <altblue@n0i.net> 1.031-2.n0i.9
- rebuild

* Fri Jul 29 2005 Marius FERARU <altblue@n0i.net> 1.031-1.n0i.8
- version 1.031

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.022-1.n0i.7
- version 1.022
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:1.011-1.n0i.6
- version 1.011
- spec updates

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.001-1.n0i.5
- version 1.001
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:1.00-1.n0i.4
- automatic rebuild

* Sat Apr  3 2004 Marius Feraru <altblue@n0i.net> 0:1.00-1.n0i.3
- version 1.00
- spec file (re?)created using N0i::CPAN::RPMizer/200403210

* Fri Feb 13 2004 Marius FERARU <altblue@n0i.net> 0:0.94-1.n0i.2
- version 0.94

* Mon Feb 02 2004 Marius FERARU <altblue@n0i.net> 0:0.90-0.n0i.1
- version 0.90
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001
